/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.ai.dailyInspection.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 日常巡检编辑参数
 *
 * @author newspaper
 * @date  2024/01/08 15:58
 **/
@Getter
@Setter
public class DailyInspectionEditParam {

    /** id */
    @ApiModelProperty(value = "id", required = true, position = 1)
    @NotBlank(message = "id不能为空")
    private String id;

    /** 巡检位置id */
    @ApiModelProperty(value = "巡检位置id", position = 2)
    private String locationId;

    /** 巡检时间 */
    @ApiModelProperty(value = "巡检时间", position = 3)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" ,timezone = "GMT+8")
    private Date inspectTime;

    /** 巡检人员id */
    @ApiModelProperty(value = "巡检人员id", position = 4)
    private String inspectId;

    /** 问题描述 */
    @ApiModelProperty(value = "问题描述", position = 5)
    private String description;

    /** 问题照片id */
    @ApiModelProperty(value = "问题照片id", position = 6)
    private String imgId;

    /** 状态 0:待处理 1:已完成 */
    @ApiModelProperty(value = "状态 0:待处理 1:已完成", position = 7)
    private Integer status;

}
