/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.ai.dailyInspection.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.multipart.MultipartFile;
import vip.xiaonuo.modular.ai.dailyInspection.entity.DailyInspection;
import vip.xiaonuo.modular.ai.dailyInspection.entity.vo.DailyInspectionImageVo;
import vip.xiaonuo.modular.ai.dailyInspection.entity.vo.DailyInspectionPageVo;
import vip.xiaonuo.modular.ai.dailyInspection.param.DailyInspectionEditParam;
import vip.xiaonuo.modular.ai.dailyInspection.param.DailyInspectionIdParam;
import vip.xiaonuo.modular.ai.dailyInspection.param.DailyInspectionPageParam;

import java.io.IOException;
import java.text.ParseException;
import java.util.List;

/**
 * 日常巡检Service接口
 *
 * @author newspaper
 * @date  2024/01/08 15:58
 **/
public interface DailyInspectionService extends IService<DailyInspection> {

    /**
     * 获取日常巡检分页
     *
     * @author newspaper
     * @date  2024/01/08 15:58
     */
    Page<DailyInspectionPageVo> page(DailyInspectionPageParam dailyInspectionPageParam);


    /**
     * 删除日常巡检
     *
     * @author newspaper
     * @date  2024/01/08 15:58
     */
    void delete(List<DailyInspectionIdParam> dailyInspectionIdParamList);

    /**
     * 提交日常巡检
     *
     * @author newspaper
     * @date  2024/01/08 15:58
     */
    void edit(String id, String inspectTime, String inspectPersonId, String description, MultipartFile img1, MultipartFile img2, MultipartFile img3) throws IOException, ParseException;

    DailyInspectionImageVo detail(DailyInspectionIdParam dailyInspectionIdParam);

}
