/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.ai.warningRemind.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 今日不再提醒巡检实体
 *
 * @author newspaper
 * @date  2024/01/09 15:26
 **/
@Getter
@Setter
@TableName("warning_remind")
public class WarningRemind {

    /** id */
    @TableId
    @ApiModelProperty(value = "id", position = 1)
    private String id;

    /** 单元id */
    @ApiModelProperty(value = "单元id", position = 2)
    private String unitId;

    /** 预警类型id */
    @ApiModelProperty(value = "预警类型id", position = 3)
    private String warningTypeId;

    /** 今日不再提醒 0提醒 1不提醒 */
    @ApiModelProperty(value = "今日不再提醒 0提醒 1不提醒", position = 4)
    private Integer todayNoRemind;

    /** 组织id*/
    @ApiModelProperty(value = "组织id", position = 5)
    private String orgId;

    /** 删除标志 */
    @ApiModelProperty(value = "删除标志", position = 99)
    @TableLogic
    @TableField(fill = FieldFill.INSERT)
    private String deleteFlag;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 99)
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /** 创建用户 */
    @ApiModelProperty(value = "创建用户", position = 99)
    @TableField(fill = FieldFill.INSERT)
    private String createUser;
}
