/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.base.baseSeason.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fhs.core.trans.vo.TransPojo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import vip.xiaonuo.common.pojo.CommonEntity;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 季节实体
 *
 * @author newspaper
 * @date  2023/12/18 11:14
 **/
@Getter
@Setter
@TableName("base_season")
public class BaseSeason extends CommonEntity implements TransPojo {

    /** id */
    @TableId
    @ApiModelProperty(value = "id", position = 1)
    private String id;

    /** 春季开始时间 */
    @ApiModelProperty(value = "春季开始时间", position = 2)
    @JsonFormat(pattern = "MM-dd",timezone = "GMT+8")
    private Date springStartTime;

    /** 春季结束时间 */
    @ApiModelProperty(value = "春季结束时间", position = 3)
    @JsonFormat(pattern = "MM-dd",timezone = "GMT+8")
    private Date springEndTime;

    /** 夏季开始时间 */
    @ApiModelProperty(value = "夏季开始时间", position = 4)
    @JsonFormat(pattern = "MM-dd",timezone = "GMT+8")
    private Date summerStartTime;

    /** 夏季结束时间 */
    @ApiModelProperty(value = "夏季结束时间", position = 5)
    @JsonFormat(pattern = "MM-dd",timezone = "GMT+8")
    private Date summerEndTime;

    /** 秋季开始时间 */
    @ApiModelProperty(value = "秋季开始时间", position = 6)
    @JsonFormat(pattern = "MM-dd",timezone = "GMT+8")
    private Date autumnStartTime;

    /** 秋季结束时间 */
    @ApiModelProperty(value = "秋季结束时间", position = 7)
    @JsonFormat(pattern = "MM-dd",timezone = "GMT+8")
    private Date autumnEndTime;

    /** 冬季开始时间 */
    @ApiModelProperty(value = "冬季开始时间", position = 8)
    @JsonFormat(pattern = "MM-dd",timezone = "GMT+8")
    private Date winterStartTime;

    /** 冬季结束时间 */
    @ApiModelProperty(value = "冬季结束时间", position = 9)
    @JsonFormat(pattern = "MM-dd",timezone = "GMT+8")
    private Date winterEndTime;

    /** 状态 */
    @ApiModelProperty(value = "状态", position = 10)
    private Integer status;

    /** 季节类型 */
    @ApiModelProperty(value = "季节类型", position = 11)
    private Integer seasonType;

    /** 组织ID */
    @ApiModelProperty(value = "组织ID", position = 12)
    private String orgId;
}
