/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.bi.pigdeath.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 死亡信息实体
 *
 * @author wang
 * @date  2023/12/07 17:36
 **/
@Getter
@Setter
@TableName("pig_death")
public class PigDeath {

    /** ID */
    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty(value = "ID", position = 1)
    private Integer id;

    /** 耳标号 */
    @ApiModelProperty(value = "耳标号", position = 2)
    private String eartag;

    /** 当前位置id */
    @ApiModelProperty(value = "当前位置id", position = 3)
    private String unitId;

    /** 死亡日期 */
    @ApiModelProperty(value = "死亡日期", position = 4)
    private Date deathDate;

    /** 死亡原因 */
    @ApiModelProperty(value = "死亡原因", position = 5)
    private String deathReason;

    /** 体重 */
    @ApiModelProperty(value = "体重", position = 6)
    private Double weight;

    /** 死亡图片 */
    @ApiModelProperty(value = "死亡图片", position = 7)
    private String deathImg;

    /** 备注 */
    @ApiModelProperty(value = "备注", position = 8)
    private String remark;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 9)
    private Date createDate;

    /** 创建人 */
    @ApiModelProperty(value = "创建人", position = 10)
    @TableField(fill = FieldFill.INSERT)
    private String createUser;

    /** 删除标志 */
    @ApiModelProperty(value = "删除标志", position = 11)
    @TableLogic
    @TableField(fill = FieldFill.INSERT)
    private String deleteFlag;

    /** 修改时间 */
    @ApiModelProperty(value = "修改时间", position = 12)
    private Date updateDate;

    /** 组织id */
    @ApiModelProperty(value = "组织id", position = 13)
    private String orgId;
}
