/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.bi.pigdeath.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.modular.bi.pigdeath.entity.PigDeath;
import vip.xiaonuo.modular.bi.pigdeath.param.PigDeathAddParam;
import vip.xiaonuo.modular.bi.pigdeath.param.PigDeathEditParam;
import vip.xiaonuo.modular.bi.pigdeath.param.PigDeathIdParam;
import vip.xiaonuo.modular.bi.pigdeath.param.PigDeathPageParam;

import java.util.List;

/**
 * 死亡信息Service接口
 *
 * @author wang
 * @date  2023/12/07 17:36
 **/
public interface PigDeathService extends IService<PigDeath> {

    /**
     * 获取死亡信息分页
     *
     * @author wang
     * @date  2023/12/07 17:36
     */
    Page<PigDeath> page(PigDeathPageParam pigDeathPageParam);

    /**
     * 添加死亡信息
     *
     * @author wang
     * @date  2023/12/07 17:36
     */
    CommonResult add(PigDeathAddParam pigDeathAddParam);

    /**
     * 编辑死亡信息
     *
     * @author wang
     * @date  2023/12/07 17:36
     */
    CommonResult edit(PigDeathEditParam pigDeathEditParam);

    /**
     * 删除死亡信息
     *
     * @author wang
     * @date  2023/12/07 17:36
     */
    void delete(List<PigDeathIdParam> pigDeathIdParamList);

    /**
     * 获取死亡信息详情
     *
     * @author wang
     * @date  2023/12/07 17:36
     */
    PigDeath detail(PigDeathIdParam pigDeathIdParam);

    /**
     * 获取死亡信息详情
     *
     * @author wang
     * @date  2023/12/07 17:36
     **/
    PigDeath queryEntity(Integer id);
}
