/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.clean.billpersonneladmission.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.modular.clean.billpersonneladmission.entity.BillPersonnelAdmission;
import vip.xiaonuo.modular.clean.billpersonneladmission.param.BillPersonnelAdmissionAddParam;
import vip.xiaonuo.modular.clean.billpersonneladmission.param.BillPersonnelAdmissionEditParam;
import vip.xiaonuo.modular.clean.billpersonneladmission.param.BillPersonnelAdmissionIdParam;
import vip.xiaonuo.modular.clean.billpersonneladmission.param.BillPersonnelAdmissionPageParam;

import java.util.List;

/**
 * 入场申请Service接口
 *
 * @author wang
 * @date  2024/01/03 09:27
 **/
public interface BillPersonnelAdmissionService extends IService<BillPersonnelAdmission> {

    /**
     * 获取入场申请分页
     *
     * @author wang
     * @date  2024/01/03 09:27
     */
    Page<BillPersonnelAdmission> page(BillPersonnelAdmissionPageParam billPersonnelAdmissionPageParam);

    /**
     * 添加入场申请
     *
     * @author wang
     * @date  2024/01/03 09:27
     */
    void add(BillPersonnelAdmissionAddParam billPersonnelAdmissionAddParam);

    /**
     * 编辑入场申请
     *
     * @author wang
     * @date  2024/01/03 09:27
     */
    void edit(BillPersonnelAdmissionEditParam billPersonnelAdmissionEditParam);

    /**
     * 删除入场申请
     *
     * @author wang
     * @date  2024/01/03 09:27
     */
    void delete(List<BillPersonnelAdmissionIdParam> billPersonnelAdmissionIdParamList);

    /**
     * 获取入场申请详情
     *
     * @author wang
     * @date  2024/01/03 09:27
     */
    BillPersonnelAdmission detail(BillPersonnelAdmissionIdParam billPersonnelAdmissionIdParam);

    /**
     * 获取入场申请详情
     *
     * @author wang
     * @date  2024/01/03 09:27
     **/
    BillPersonnelAdmission queryEntity(String id);
}
