/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.env.envDeviceOnline.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * 环控设备在线率实体
 *
 * @author newspaper
 * @date  2024/01/05 16:00
 **/
@Getter
@Setter
@TableName("env_device_online")
public class EnvDeviceOnline {

    /** id */
    @TableId
    @ApiModelProperty(value = "id", position = 1)
    private String id;

    /** 设备在线数 */
    @ApiModelProperty(value = "设备在线数", position = 2)
    private Integer deviceOn;

    /** 设备离线数 */
    @ApiModelProperty(value = "设备离线数", position = 3)
    private Integer deviceOff;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 4)
    @JsonFormat(pattern = "yyyy-MM-dd" ,timezone = "GMT+8")
    private LocalDateTime creatTime;

    /** 在线率 */
    @ApiModelProperty(value = "在线率", position = 5)
    private BigDecimal onlineRate;

    /** 组织id */
    @ApiModelProperty(value = "组织id", position = 6)
    private String orgId;
}
