/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.env.envThreshold.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import vip.xiaonuo.common.pojo.CommonEntity;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 环控阈值实体
 *
 * @author newspaper
 * @date  2023/12/25 15:38
 **/
@Getter
@Setter
@TableName("env_threshold")
public class EnvThreshold extends CommonEntity {

    /** id */
    @TableId
    @ApiModelProperty(value = "id", position = 1)
    private String id;

    /** 春季温度上限 */
    @ApiModelProperty(value = "春季温度上限", position = 2)
    private BigDecimal springTemUpper;

    /** 春季温度下限 */
    @ApiModelProperty(value = "春季温度下限", position = 3)
    private BigDecimal springTemLower;

    /** 春季湿度上限 */
    @ApiModelProperty(value = "春季湿度上限", position = 4)
    private BigDecimal springHumiUpper;

    /** 春季湿度下限 */
    @ApiModelProperty(value = "春季湿度下限", position = 5)
    private BigDecimal springHumiLower;

    /** 夏季温度上限 */
    @ApiModelProperty(value = "夏季温度上限", position = 6)
    private BigDecimal summerTemUpper;

    /** 夏季温度下限 */
    @ApiModelProperty(value = "夏季温度下限", position = 7)
    private BigDecimal summerTemLower;

    /** 夏季湿度上限 */
    @ApiModelProperty(value = "夏季湿度上限", position = 8)
    private BigDecimal summerHumiUpper;

    /** 夏季湿度下限 */
    @ApiModelProperty(value = "夏季湿度下限", position = 9)
    private BigDecimal summerHumiLower;

    /** 秋季温度上限 */
    @ApiModelProperty(value = "秋季温度上限", position = 10)
    private BigDecimal autumnTemUpper;

    /** 秋季温度下限 */
    @ApiModelProperty(value = "秋季温度下限", position = 11)
    private BigDecimal autumnTemLower;

    /** 秋季湿度上限 */
    @ApiModelProperty(value = "秋季湿度上限", position = 12)
    private BigDecimal autumnHumiUpper;

    /** 冬季湿度下限 */
    @ApiModelProperty(value = "冬季湿度下限", position = 13)
    private BigDecimal autumnHumiLower;

    /** 冬季温度上限 */
    @ApiModelProperty(value = "冬季温度上限", position = 14)
    private BigDecimal winterTemUpper;

    /** 冬季温度下限 */
    @ApiModelProperty(value = "冬季温度下限", position = 15)
    private BigDecimal winterTemLower;

    /** 冬季湿度上限 */
    @ApiModelProperty(value = "冬季湿度上限", position = 16)
    private BigDecimal winterHumiUpper;

    /** 冬季湿度下限 */
    @ApiModelProperty(value = "冬季湿度下限", position = 17)
    private BigDecimal winterHumiLower;

    /** 状态 */
    @ApiModelProperty(value = "状态", position = 18)
    private Integer isEnable;

    /** 单元ID */
    @ApiModelProperty(value = "单元ID", position = 19)
    private String unitId;

    /** 组织ID */
    @ApiModelProperty(value = "组织ID", position = 20)
    private String orgId;
}
